Name: libfame
Version: 0.9.1
Release: alt2

Summary: Fast Assembly Mpeg Encoding library
License: LGPL
Group: System/Libraries
Url: http://fame.sourceforge.net

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.gz

Patch0: libfame-0.9.1-alt-configure.patch
Patch1: libfame-0.9.1-mmx_sse.patch
Patch2: libfame-0.9.1-x86_64.patch
Patch3: libfame-ac_fixes.patch
Patch4: libfame-0.9.1-alt-soname.patch

%description
FAME is a library for fast MPEG encoding.

%package devel
Summary: Development files for FAME
Group: Development/C
Requires: %name = %version-%release

%description devel
FAME is a library for fast MPEG encoding. This package contains
header files and other resources you can use to develop FAME
applications.

%package devel-static
Summary: FAME static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
FAME is a library for fast MPEG encoding. This package contains static
version of FAME library.

%set_verify_elf_method textrel=relaxed

%def_disable static
%def_enable mmx
%def_disable sse

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
touch NEWS ChangeLog
%__autoreconf
%configure \
	%{subst_enable sse} \
	%{subst_enable mmx} \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS BUGS CHANGES README TODO
%_libdir/*.so.*

%files devel
%_includedir/*
%_bindir/*
%_libdir/*.so
%_datadir/aclocal/*
%_man3dir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Feb 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1-alt2
- fixed linking on x86_64

* Wed Feb 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.9.1-alt1
- update to 0.9.1
- added %name-0.9.1-mmx_sse.patch for enabling build with MMX and SSE optimization
- added %name-0.9.1-x86_64.patch

* Mon May 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.9.0-alt4
- disabled MMX

* Wed Dec 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt3
- do not package .la files.
- do not build devel-static subpackage by default.
- use %%set_verify_elf_method textrel=relaxed, I can't fix asm code.

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt2
- Rebuild with gcc-3.2

* Fri May 31 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Thu May 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.10-alt1
- First build for Sisyphus.

